Bug Hunting Session
Bug 99453 - OpenCL: more readable profile, log file with device information
Summary: OpenCL: more readable profile, log file with device information
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.4
Keywords:
Depends on:
Blocks: OpenCL
  Show dependency treegraph
 
Reported: 2016-04-22 13:41 UTC by Tomaz Vajngerl
Modified: 2016-10-25 19:17 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomaz Vajngerl 2016-04-22 13:41:46 UTC
The OpenCL profile method writes binary data into the xml file, which can make the file unreadable. 

Additionally, OpenGL writes a log file with the detailed device information. The same should be true for OpenCL.
Comment 2 Commit Notification 2016-04-25 08:57:36 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d3dd678bf9fd50a736cc0ff956f1efd7e660502&h=libreoffice-5-1

tdf#99453 opencl: better logging of devices and device selection

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Michael Meeks 2016-04-25 10:56:28 UTC
Sounds like its fixed then =)